Package net.shibboleth.utilities.java.support.codec

# Class HTMLEncoder

java.lang.Object
net.shibboleth.utilities.java.support.codec.HTMLEncoder

@Deprecated(since="9.0.0", forRemoval=true) public final class HTMLEncoder extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
Legacy version of `HTMLEncoder`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`HTMLEncoder()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static String`
`encodeForHTML(String input)`
Deprecated, for removal: This API element is subject to removal in a future version.
Encode data for use in HTML using HTML entity encoding
`static String`
`encodeForHTMLAttribute(String input)`
Deprecated, for removal: This API element is subject to removal in a future version.
Encode data for use in HTML attributes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HTMLEncoder

private HTMLEncoder()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Details

### encodeForHTML

@Nullable public static String encodeForHTML(@Nullable String input)
Deprecated, for removal: This API element is subject to removal in a future version.
Encode data for use in HTML using HTML entity encoding

Note that the following characters: 00-08, 0B-0C, 0E-1F, and 7F-9F

cannot be used in HTML.

Parameters:
  `input` - the text to encode for HTML
Returns:
  input encoded for HTML
See Also:
  - HTML Encodings [wikipedia.org]
  - SGML Specification [w3.org]
  - XML Specification [w3.org]

### encodeForHTMLAttribute

@Nullable public static String encodeForHTMLAttribute(@Nullable String input)
Deprecated, for removal: This API element is subject to removal in a future version.
Encode data for use in HTML attributes.

Parameters:
  `input` - the text to encode for an HTML attribute
Returns:
  input encoded for use as an HTML attribute